[service]
name = ilens
host= 0.0.0.0
port=8585
interface=eth0
SECRET_KEY= KLKey
enable_security= False
cookie_max_age_in_mins= 30
max_attempts = 5
lockout_time_interval = 60
httpflag = True
secureflag = False
reset_time_interval = 0.5
workers = 1

[log]
file_name= ilens
path= logs/
level=DEBUG
handler= rotating_file_handler
max_bytes= 10000000
back_up_count= 10

[mongo_db]
host= 192.168.0.220
port= 2717
username=
password=
authSource=
authMechanism=
mongo_constants_file_path= conf/mongo_encryption_constants.json

[kairos_db]
url= http://#KAIROS_CASSANDRA_HOST#:8080

[system_login]
domain_list= ["knowledgelens.com"]

[csv_conf]
csv_path= Log/csv/
upload_path= Log/UPLOAD

[schedule_rule_engine]
url= http://localhost:9997/create_job

[profile_pic_path]
base_path= templates/profile_pic/

[email_default_baseurl]
base_url= https://app.ilens.io/cloud/send_mail

[ai_rules]
enabled= true
docker_endpoint= tcp://localhost:4243

[flow_model]
container_url= http://localhost:8180

[IMAGE]
path= /images/metaservice/

[LICENSE_PATH]
path= license/

[pipeline_internal]
mqtt_broker_host= #MQTT_HOST#
mqtt_broker_port= 1883
mqtt_broker_ssl= false
mqtt_broker_conn_type = tcp
mqtt_broker_ws_port= 8083

node_intermediate= queue
queue_host= #KAFKA_HOST#
queue_port= 9092


[channel_pp_debug_node]
host= #CHANNEL_PP#
port= 1883
topic = ilens/pipeline/debug
user_name =
password =

[AGENT]
manager_url = http://#AGENT_URL#/ilens_api


[REDIS]
host= #REDIS_HOST#
port= 6379
key_expiry= 100
rules_db=0
alarms_db=1
live_tags_db=4
audit_db = 6
audit_queue= audit

[ILENS_VERSION]
version = v5.1

[DATA_PROCESSOR]
host = #DATA_PROCESSOR_HOST#
connection = tcp
port = 1883
topic = ilens/monitor/live/device_monitor_alarms